Limerence
Datasets

List Datasets By Agent

Get all datasets for an agent

GET
/agents/{agentId}/datasets

Get all datasets for an agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

agentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agents/string/datasets"
[  {    "_count": {      "entries": 0    },    "agentId": "string",    "createdAt": "string",    "description": null,    "id": "string",    "name": "string",    "updatedAt": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}